package com.logicbig.example;


import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import java.util.Date;

@Entity
@IdClass(CompositeTaskId.class)
public class Task {
    @Id
    private int employeeId;
    @Id
    private int taskId;
    private String taskName;
    private Date date;

    public Task() {
    }

    public Task(int employeeId, int taskId) {
        this.employeeId = employeeId;
        this.taskId = taskId;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    @Override
    public String toString() {
        return "Task{" +
                "employeeId=" + employeeId +
                ", taskId=" + taskId +
                ", taskName='" + taskName + '\'' +
                ", date=" + date +
                '}';
    }
}